Bug 628076 - (CVE-2010-3119) CVE-2010-3119 webkit: DoS due to improper Ruby support
CVE-2010-3119 webkit: DoS due to improper Ruby support
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20100819,reported=20100824,sou...
: Security
Depends On: 640385 640386 667027
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-27 15:40 EDT by Vincent Danen
Modified: 2012-03-07 02:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-07 02:01:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-08-27 15:40:13 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-3119 to
the following vulnerability:

Name: CVE-2010-3119
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-3119
Assigned: 20100824
Reference: CONFIRM: http://code.google.com/p/chromium/issues/detail?id=51654
Reference: CONFIRM: http://googlechromereleases.blogspot.com/2010/08/stable-channel-update_19.html

Google Chrome before 5.0.375.127 does not properly support the Ruby
language, which allows attackers to cause a denial of service (memory
corruption) or possibly have unspecified other impact via unknown
vectors.


This flaw also affects upstream WebKit:

https://bugs.webkit.org/show_bug.cgi?id=43795
http://trac.webkit.org/changeset/65090
Comment 1 Huzaifa S. Sidhpurwala 2011-01-04 00:46:13 EST
This is fixed in webkitgtk 1.2.4
Comment 2 errata-xmlrpc 2011-01-25 12:07:34 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0177 https://rhn.redhat.com/errata/RHSA-2011-0177.html

Note You need to log in before you can comment on or make changes to this bug.